#ifndef SCENEMULTITEX_H
#define SCENEMULTITEX_H

#include "scene.h"
#include "glslprogram.h"
#include "cube.h"
#include "sphere.h"

#include <glm/glm.hpp>

class SceneMultiTex : public Scene
{
private:
    GLSLProgram prog;
	GLuint brick, moss, boxdiffuse, boxspecular, rustdiffuse, rustspecular, tilesdiffuse, tilesspecular, linearSampler, nearestSampler;

    Cube cube;
    Sphere sphere;

    void setMatrices();
    void compileAndLinkShader();

public:
    SceneMultiTex();

    void initScene();
    void update( float t );
    void render();
    void resize(int, int, float);
};

#endif // SCENEMULTITEX_H
